using System;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class BarStackValue : ILabelValue
    {
        public BarStackValue()
        {
        }

        public BarStackValue(double val, string color)
        {
            Colour = color;
            Value = val;
        }

        [JsonProperty("colour")]
        public string Colour { get; set; }

        [JsonProperty("val")]
        public double Value { get; set; }

        [JsonIgnore]
        public string Label{get; set;}
    }
}