﻿
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    [JsonText("Value")]
    public class BarValue : ILabelValue
    {
        public BarValue()
        {
        }

        public BarValue(string label, double value)
        {
            Label = label;
            Value = value;
        }

        public double Value { get; set; }

        public string Label { get; set; }
    }
}
