using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class ChartElement
    {
        [JsonProperty("text")]
        public virtual string Text { set; get; }

        [JsonProperty("style")]
        public string Style { get; set; }

        public bool IsSpecified()
        {
            return !string.IsNullOrEmpty(Text) || !string.IsNullOrEmpty(Style);
        }
    }
}