using System;
using System.Collections.Generic;
using System.Text;

namespace OpenFlashChartLib
{
    public class ChangedEventArgs<TItem> : System.EventArgs
    {
        private ChangedAction action;
        private TItem control;
        private int index;

        public ChangedEventArgs()
        {
        }

        public ChangedEventArgs(ChangedAction action, TItem control)
        {
            this.action = action;
            this.control = control;
        }

        public ChangedEventArgs(ChangedAction action, TItem control, int index)
        {
            this.action = action;
            this.control = control;
        }

        public ChangedAction Action
        {
            get
            {
                return action;
            }
            set
            {
                action = value;
            }
        }

        public TItem ChangedItem
        {
            get
            {
                return control;
            }
            set
            {
                control = value;
            }

        }

        public int Index
        {
            get{ return index;}
            set{ index = value;}
        }
    }
}
