using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

namespace OpenFlashChartLib
{
    public class GraphLabelStyle : KeyValueList
    { 
        public static readonly string XLabelStyleToken = "x_label_style";
        public static readonly string YLabelStyleToken = "y_label_style";
        ValueBoxer<int> _size = new ValueBoxer<int>();
        ValueBoxer<string> _color = new ValueBoxer<string>();

        public GraphLabelStyle(string xy):base(xy)
        {
            Values.Add(_size);
            Values.Add(_color);
        }

        public int Size
        {
            get
            {
                return _size.Value;
            }
            set
            {
                _size.Value = value;
            }
        }

        public string Color
        {
            get
            {
                return _color.Value;
            }
            set
            {
                _color.Value = value;
            }
        }
    }
}
