using System;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class BarSketch : Bar
    {
        public BarSketch()
        {
            ChartType = "bar_sketch";
            Offset = 5;
        }

        public BarSketch(int? offset) : this()
        {
            Offset = offset ?? 5;
        }

        [JsonProperty("offset")]
        public int? Offset { get; set; }

        [JsonProperty("outline-colour")]
        public string OutlineColour { get; set; }
    }
}