using System;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class LineBase : Chart<BarValue>
    {
        public LineBase()
        {
            ChartType = "line_dot";
            Width = 1;
        }

        [JsonProperty("width")]
        public int Width { set; get; }

        [JsonProperty("dot-size")]
        public int DotSize { get; set; }

        [JsonProperty("halo-size")]
        public int HaloSize { get; set; }
    }
}