using System;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class ToolTip
    {
        public ToolTip(string text)
        {
            Text = text;
        }

        [JsonProperty("text")]
        public String Text { get; set; }

        public bool IsSpecified()
        {
            return !string.IsNullOrEmpty(Text);
        }
    }
}