using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

namespace OpenFlashChartLib
{
    public class GraphLegend : KeyValueList
    {
        public static readonly string XGraphLegendToken = "x_legend";
        public static readonly string YGraphLegendToken = "y_legend";
        private ValueBoxer<string> _text = new ValueBoxer<string>();
        private ValueBoxer<int> _size = new ValueBoxer<int>();
        private ValueBoxer<string> _color = new ValueBoxer<string>();

        public GraphLegend(string name) : base(name)
        {
            Values.Add(_text);
            Values.Add(_size);
            Values.Add(_color);
        }

        public string Text
        {
            get { return _text.Value; }
            set{ _text.Value = value; }
        }

        public int Size
        {
            get { return _size.Value; }
            set { _size.Value = value; }
        }

        public string Color
        {
            get { return _color.Value; }
            set { _color.Value = value; }
        }

    }
}
