using System;
using System.Collections.Generic;
using System.Text;

namespace OpenFlashChartLib
{
    public class FadeBarGraphType : BarGraphType
    {
        public static readonly string FadeBarGraphToken = "bar_fade";

        public FadeBarGraphType(int _alpha, string _color, string _legendText, int? _legendTextHeight) : 
            base(_alpha, _color, _legendText, _legendTextHeight)
        {
        }

        public override string GraphTypeTocken
        {
            get
            {
                return FadeBarGraphToken;
            }
        }
    }
}
