using System;
using System.Collections.Generic;
using System.Text;

namespace OpenFlashChartLib
{
    public class ThreeDimGraphType: BarGraphType
    {
        public static readonly string ThreeDimGraphToken = "bar_3d";

        public ThreeDimGraphType(int _alpha, string _color, string _legendText, int? _legendTextHeight)
            : base(_alpha, _color, _legendText, _legendTextHeight)
        {}

        public override string GraphTypeTocken
        {
            get
            {
                return ThreeDimGraphToken;
            }
        }
    }
}
