using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

namespace OpenFlashChartLib
{
    public abstract class RenderBase : IRender
    {
        public virtual void Render(HtmlTextWriter writer)
        {
            writer.Write("&");
            RenderContent(writer);
            writer.Write("&");
        }

        public abstract void RenderContent(HtmlTextWriter writer);
    }
}
