using System;
using System.Collections.Generic;
using System.Text;

namespace OpenFlashChartLib
{
    public class StringDataValues : GraphDataValues<string>
    {
        public StringDataValues()
        {
        }

        public StringDataValues(string tokenName)
            : base(tokenName)
        {
        }

        public override void Render(System.Web.UI.HtmlTextWriter writer)
        {
            string name = TokenName;
            if (ValueSet != 0)
                name += "_" + ValueSet;
            writer.Write("&{0}=", name);
            int i = 0;
            foreach (string val in this)
            {
                if (i++ > 0)
                    writer.Write(",");
                writer.Write(Util.ToSafeString(val));
            }
        }
    }
}
